{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Aji - Story 9!!</title>
<style>
  .container{
    margin-top: 5%;
    vertical-align: center;
    text-align: center;
    padding:10px;
  }
  .trans {
    background-color:rgba(0, 0, 0, 0.25);
    border-radius : 10px;
  }
  .padd{
    padding:10px;
  }
  .btn-custom{
    background-color: rgba(17, 82, 180, 0.801);
    color:white;
    border-radius: 20px;
    min-width: 10%;
    font-weight: lighter;
    margin-top: 10px;
    font-size: larger;
  }
  input[type=text]{
    outline : none !important;
    padding : 10px;
    border: 2px solid gray;
    border-radius: 4px;
    width : 20%; 
    padding : 10px;
    transition : 0.5s;
  }
  input[type=text]:hover{
      width:30%;
  }
  .info{
    color : rgba(17, 82, 180, 0.801);
    text-align: left; 
    margin-left : 40px;
    margin-right : 40px;
    margin-bottom:10px;
    padding : 10px ;
    
  }
 
</style>
{% endblock meta %}

{% block content %}
  <div class="container trans">
    <div class = "card card-custom">
        <h2 style = "font-weight: bolder; text-decoration: underline;">Login</h2>
        <form method = "POST", action = '/login/'>
            {% csrf_token %}<br>
            <input type = "text" placeholder="Username.." name = "username"><br><br>
            <input type = "text" placeholder="Password.." name = "password"><br><br>
            <button type="submit" class="btn btn-custom">Login</button><br><br>
        </form>
        {% if messages %}
            {% for message in messages %}
                <div class = "info trans">
                    <p>{{message}} </p>
                </div>
            {% endfor %}
        {% endif %}
    </div>
  </div>
{% endblock content %}